import { objectId } from '@jig-software/zod-bson';
import { z } from 'zod';

export const IssuedToken = z.object({
  _id: objectId(),
  token: z.string(),
  issuedTo: z.string(),
  expiredAt: z.date().optional(),
  revoked: z.boolean(),
});
export type IssuedToken = z.infer<typeof IssuedToken>;
